doctype
html( lang="en" )
head
    title Ma Liste de Préférences
    style
        include style.css
    meta( charset='utf-8' )
    meta( http-equiv='X-UA-Compatible', content='IE=edge' )
    meta( name='viewport', content='width=device-width, initial-scale=1.0' )
    //- Bootswatch Theme
    link(href="//maxcdn.bootstrapcdn.com/bootswatch/3.3.0/flatly/bootstrap.min.css", rel="stylesheet")

body(style="padding-bottom:10rem;")
    .container
      #global(style="text-align: center")
          h1 Ma Liste de Préférences
          table.table.table-striped
            tbody
              tr
                td
                  p Nom
                    if order_name == "desc"
                      a(href="/app/asc_name", style="margin-left:2%")
                        i.glyphicon.glyphicon-arrow-up
                    else
                      a(href="/app/desc_name", style="margin-left:2%")
                        i.glyphicon.glyphicon-arrow-down
                td
                  p Type
                    if order_type == "desc"
                      a(href="/app/asc_type", style="margin-left:2%")
                        i.glyphicon.glyphicon-arrow-up
                    else
                      a(href="/app/desc_type", style="margin-left:2%")
                        i.glyphicon.glyphicon-arrow-down
                td Consulter
                td Modifier
                td Supprimer
              if node_app
                each data in node_app
                  tr
                    form(action="/app/modifier/#{data['id']}", method="post")
                      td
                          input.form-control(value="#{data['name']}" id="#{data['id']}", name="newval")
                      td
                        select.form-control(name='type')
                          option #{data['type']}
                          if data['type'] != 'Film'
                            option Film
                          if data['type'] != 'Série'
                            option Série
                          if data['type'] != 'Musique'
                            option Musique
                      td
                        a.btn.btn-primary(href="/app/consulter/#{data['id']}", title="Consulter")
                          i.glyphicon.glyphicon-search
                      td
                        button.btn.btn-warning(type="submit", title="Modifier")
                          i.glyphicon.glyphicon-pencil
                    td
                      a.btn.btn-danger(href="/app/supprimer/#{data['id']}", title="Supprimer")
                        i.glyphicon.glyphicon-trash

          div.row
            div.col-sm-2
            div.col-sm-4
              a.btn.btn-primary(href="/app/export_csv", title="Exporter en csv") Exporter en CSV
                i.glyphicon.glyphicon-download(style="margin-left:2%")
            div.col-sm-4
              a.btn.btn-primary(href="/app/export_json", title="Exporter en json") Exporter en JSON
                i.glyphicon.glyphicon-download(style="margin-left:2%")
            div.col-sm-2

          form(action="/app/ajouter", method="post")
              div.form-group.row(style="margin-top:2%")
                  label.col-sm-2.col-form-label(for="name") Que dois-je ajouter ?
                  div.col-sm-4
                    input.form-control(type="text", name="name", id="name", required)
                  div.col-sm-4
                    select.form-control(name="type", required)
                      option Film
                      option Série
                      option Musique
                  input.btn.btn-success.col-sm-2(type="submit")

    script( src='//ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js' )
    script( src='//maxcdn.bootstrapcdn.com/bootstrap/3.3.1/js/bootstrap.min.js' )
